# $Id: ruby-CorporateTime.spec,v 1.25 2003/11/13 11:07:46 ianmacd Exp $
#

Summary: Ruby interface to Steltor's CorporateTime calendar server
Name: ruby-CorporateTime
Version: 0.1.4
Release: 1
License: GPL
Group: Applications/Ruby
Source: http://www.caliban.org/files/ruby/%{name}-%{version}.tar.gz
URL: http://www.caliban.org/ruby/
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby
Requires: ruby
# don't want rpm to complain at install time about missing CAPI library
Provides: libcapi.so

%description
CorporateTime is a corporate calendar server product originally produced by
Steltor and now available from Oracle.

Ruby/CorporateTime is a Ruby language extension that serves as a wrapper to
the CorporateTime API known as CAPI. It allows interaction with CorporateTime
servers via the Ruby programming language.

In order to use this software, you should have the Calendar API (CAPI) software
installed on your computer.

%prep
%setup

%build
ruby extconf.rb
make
#make docs

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT

strip ctime.so

make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -d $RPM_BUILD_ROOT%{_mandir}/man3
install example/mycal $RPM_BUILD_ROOT%{_bindir}

install doc/corptime.3 $RPM_BUILD_ROOT%{_mandir}/man3/corptime.3
gzip -9 $RPM_BUILD_ROOT%{_mandir}/man3/corptime.3

find $RPM_BUILD_ROOT -type f -print | \
        ruby -pe 'sub(%r(^'$RPM_BUILD_ROOT'), "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc CHANGES COPYING INSTALL README TODO
%doc -P example/README example/ct2z example/ct_test example/find_slot
%doc -P doc/ctime.html doc/ctime.rd

%changelog
* Thu Nov 12 2003 Ian Macdonald <ian@caliban.org> 0.1.4-1
- 0.1.4
- when using Ruby 1.8.0, a warning would be issued when instantiating a
  CTime object

* Wed Mar  5 2003 Ian Macdonald <ian@caliban.org> 0.1.3-1
- 0.1.3
- now works with CAPI 2.5.1
- CTime#get_events is back to taking two parameters, not three
- CTime::Event objects now have the extra attribute @end, since CAPI 2.5.1
  returns the end time of an event, not the duration. CAPI 2.0 does the
  opposite
- all-day events are now somewhat handled in CTime#get_events
- fixed bug whereby calendar stream was destroyed before parsing
- more legible debug output

* Tue Jan  7 2003 Ian Macdonald <ian@caliban.org> 0.1.2-1
- 0.1.2
- CTime#get_events now takes a third parameter that specifies the type
  of property list to attempt to retrieve

* Thu Oct  2 2002 Ian Macdonald <ian@caliban.org> 0.1.1-1
- 0.1.1
- ct_get_events() now decodes quoted printable MIME in events

* Wed Sep 25 2002 Ian Macdonald <ian@caliban.org> 0.1.0-1
- 0.1.0
